package J20250715.stringbuider;

/**
 * @author WanJl
 * @version 1.0
 * @title Demo01
 * @description
 * @create 2025/7/15
 */
public class Demo01 {
    public static void main(String[] args) {
        //这种方式创建的变量，值是存储在字符串常量池，所以用==比较是一致的。
        String s="he";
        String s1="he";
        //这种方式创建的字符串对象，是存储在堆内存中，
        //分别开辟不同的空间，地址不同，==比较不一致
        String s2=new String("wo");
        String s3=new String("wo");

        //字符串本身是不可变的。
        String s4="hello";  //在常量池开辟空间，存入字符串。
        s4="world";//再开辟一个空间存入字符串

        //可变的字符串，最常用的是就是StringBuilder类
    }
}
